tai_now(3)

NAME
tai_now - get current time

SYNTAX
#include <tai.h> extern int tai_now(struct tai* t);

DESCRIPTION
tai_now puts the current time into t. More precisely: tai_now puts into t its best guess as to the TAI64 label for the 1-second interval that contains the current time. This implementation of tai_now assumes that the time_t returned from the time function represents the number of TAI seconds since 1970-01-01 00:00:10 TAI. This matches the convention used by the Olson tz library in ``right'' mode.

SEE ALSO
taia_now(3)